#92836 Report by node gpitremac1 covering 1705 tests from 45 modules resulted into 3 errors

Report

ObsPy Version
1.1.0
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
149.6 sec
Report Date/Time
2018-03-05 08:23:53

System / Python

Architecture
64bit
Machine
x86_64
Node
gpitremac1
Processor
x86_64
Python Compiler
GCC
Python Implementation
CPython
Python Version
3.4.1
Release
4.1.15-8-default
System
Linux
Version
#1 SMP PREEMPT Wed Jan 20 16:41:00 UTC 2016 (0e3b3ab)

Dependencies

cartopy
---
decorator
4.0.9
flake8
---
future
0.15.2
geographiclib
---
lxml.etree
3.4.4
m2crypto
---
matplotlib
1.4.3
mock
---
mpl_toolkits.basemap
---
numpy
1.9.3
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
---
requests
2.7.0
scipy
0.16.0
setuptools
18.3.2
shapefile
---
sqlalchemy
1.0.12

Modules (45)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 3
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/tests/test_stream.py", line 1839, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-31>", line 2, in read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/base.py", line 569, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 143, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[10]>", line 1, in <module>
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
File "<decorator-gen-31>", line 2, in read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/base.py", line 569, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 156, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-31>", line 2, in read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/base.py", line 569, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 166, in obspy.core.stream.read
Failed example:
stringio_obj = io.BytesIO(requests.get(example_url).content)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[20]>", line 1, in <module>
stringio_obj = io.BytesIO(requests.get(example_url).content)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 167, in obspy.core.stream.read
Failed example:
st = read(stringio_obj)
Exception raised:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[21]>", line 1, in <module>
st = read(stringio_obj)
NameError: name 'stringio_obj' is not defined
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 168, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - ... | 200.0 Hz, 12000 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 176, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "<decorator-gen-31>", line 2, in read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/base.py", line 569, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 178, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/home/pk/.local/lib/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1392, in plot_tfr
----------------------------------------------------------------------
File "/home/pk/.local/lib/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1433, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-31>", line 2, in read
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/pk/.local/lib/python3.4/site-packages/obspy/core/util/base.py", line 569, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)

Skipped Tests (40)

Submodule Test Skip Message
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed

Slowest Tests (20)

Runtime Test
5.211s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
4.968s __init__ (obspy.taup)
4.760s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
4.221s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.808s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
3.700s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
2.765s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.748s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.667s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.659s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.632s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.603s test_evalresp_file_like_object (obspy.signal.tests.test_invsim.InvSimTestCase)
2.597s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.586s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.584s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.582s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.443s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.281s plot_travel_times (obspy.taup.tau)
2.247s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
1.948s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris Fact

Chuck Norris solved the Travelling Salesman problem in O(1) time. Here's the pseudo-code: Break salesman into N pieces. Kick each piece to a different city.